org.apache.maven.scm.provider.synergy

## Class SynergyScmProvider

- java.lang.Object
- - org.apache.maven.scm.provider.AbstractScmProvider
  - - org.apache.maven.scm.provider.synergy.SynergyScmProvider

- All Implemented Interfaces:
    ScmProvider

      public class SynergyScmProvider
      extends AbstractScmProvider

  Version:
    $Id: SynergyScmProvider.java 685548 2008-08-13 13:35:49Z vsiveton $
  Author:
    Julien Henry

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.scm.provider.ScmProvider

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SynergyScmProvider()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AddScmResult` | `add(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
    `ChangeLogScmResult` | `changelog(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
    `CheckInScmResult` | `checkin(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
    `CheckOutScmResult` | `checkout(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
    `EditScmResult` | `edit(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
    `String` | `getScmSpecificFilename()` Returns the scm reserved file name where the SCM stores information like 'CVS', '.svn'.
    `String` | `getScmType()`
    `ScmProviderRepository` | `makeProviderScmRepository(String scmSpecificUrl, char delimiter)`
    `RemoveScmResult` | `remove(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
    `boolean` | `requiresEditMode()`
    `StatusScmResult` | `status(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
    `TagScmResult` | `tag(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
    `UpdateScmResult` | `update(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`

    - ### Methods inherited from class org.apache.maven.scm.provider.AbstractScmProvider

      `add, add, addListener, branch, branch, branch, branch, changeLog, changeLog, changeLog, changeLog, changeLog, changeLog, changeLog, changeLog, checkIn, checkIn, checkIn, checkOut, checkOut, checkOut, checkOut, checkOut, checkOut, diff, diff, diff, edit, export, export, export, export, export, export, getLogger, list, list, list, login, makeProviderScmRepository, remove, sanitizeTagName, status, tag, tag, tag, unedit, unedit, update, update, update, update, update, update, update, update, update, update, update, update, validateScmUrl, validateTagName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SynergyScmProvider

          public SynergyScmProvider()

  - ### Method Detail

    - #### makeProviderScmRepository

          public ScmProviderRepository makeProviderScmRepository(String scmSpecificUrl,
                                                        char delimiter)
                                                          throws ScmRepositoryException

      Throws:
        `ScmRepositoryException`

    - #### getScmType

          public String getScmType()

    - #### requiresEditMode

          public boolean requiresEditMode()

      Specified by:
        `requiresEditMode` in interface `ScmProvider`
      Overrides:
        `requiresEditMode` in class `AbstractScmProvider`

    - #### getScmSpecificFilename

          public String getScmSpecificFilename()

      Returns the scm reserved file name where the SCM stores information like 'CVS', '.svn'.
      Specified by:
        `getScmSpecificFilename` in interface `ScmProvider`
      Overrides:
        `getScmSpecificFilename` in class `AbstractScmProvider`
      Returns:
        the scm reserved file name

    - #### add

          public AddScmResult add(ScmProviderRepository repository,
                         ScmFileSet fileSet,
                         CommandParameters parameters)
                           throws ScmException

      Overrides:
        `add` in class `AbstractScmProvider`
      Throws:
        `ScmException`

    - #### remove

          public RemoveScmResult remove(ScmProviderRepository repository,
                               ScmFileSet fileSet,
                               CommandParameters parameters)
                                 throws ScmException

      Overrides:
        `remove` in class `AbstractScmProvider`
      Throws:
        `ScmException`

    - #### changelog

          public ChangeLogScmResult changelog(ScmProviderRepository repository,
                                     ScmFileSet fileSet,
                                     CommandParameters parameters)
                                       throws ScmException

      Overrides:
        `changelog` in class `AbstractScmProvider`
      Throws:
        `ScmException`

    - #### checkin

          public CheckInScmResult checkin(ScmProviderRepository repository,
                                 ScmFileSet fileSet,
                                 CommandParameters parameters)
                                   throws ScmException

      Overrides:
        `checkin` in class `AbstractScmProvider`
      Throws:
        `ScmException`

    - #### checkout

          public CheckOutScmResult checkout(ScmProviderRepository repository,
                                   ScmFileSet fileSet,
                                   CommandParameters parameters)
                                     throws ScmException

      Overrides:
        `checkout` in class `AbstractScmProvider`
      Throws:
        `ScmException`

    - #### edit

          public EditScmResult edit(ScmProviderRepository repository,
                           ScmFileSet fileSet,
                           CommandParameters parameters)
                             throws ScmException

      Overrides:
        `edit` in class `AbstractScmProvider`
      Throws:
        `ScmException`

    - #### update

          public UpdateScmResult update(ScmProviderRepository repository,
                               ScmFileSet fileSet,
                               CommandParameters parameters)
                                 throws ScmException

      Overrides:
        `update` in class `AbstractScmProvider`
      Throws:
        `ScmException`

    - #### tag

          public TagScmResult tag(ScmProviderRepository repository,
                         ScmFileSet fileSet,
                         CommandParameters parameters)
                           throws ScmException

      Overrides:
        `tag` in class `AbstractScmProvider`
      Throws:
        `ScmException`

    - #### status

          public StatusScmResult status(ScmProviderRepository repository,
                               ScmFileSet fileSet,
                               CommandParameters parameters)
                                 throws ScmException

      Overrides:
        `status` in class `AbstractScmProvider`
      Throws:
        `ScmException`

Copyright © 2003–2015. All rights reserved.